#!/usr/bin/env python

from ImprovedTableParser import parse

table = """<tablestyle="border: 2px solid red; border-collapse: collapse;" rowstyle="background-color: #f77;">
Test||Outcome||Comments
==
Colspan
||<colspan="2"> Test a column with attributes
==
Normal || <style="
text-align: center" colspan=1> Three columns || Adjacent column
==
Split
|| Three columns
|| Separate lines
==
 * Item #1
 * Item #2
||
 * Item #A
|| Not a list
==
\\{\\{\\{
Some preformatted text.
\\}\\}\\}
||<colspan="2"> Preformatted text in a separate section
"""

attrs, rows = parse(table)

print table
print attrs
print rows
print len(rows) == 6, ": length is", len(rows), "==", 6
print
for (row_attrs, columns), expected in zip(rows, [3, 2, 3, 3, 3, 2]):
    print row_attrs
    print columns
    print len(columns) == expected, ": length is", len(columns), "==", expected
    print

# vim: tabstop=4 expandtab shiftwidth=4
